using System.ComponentModel;

namespace Luski;

[Flags]
public enum ConsoleLog : long
{
    None = 0,
    [Description("Show OpenGL Major Errors")]
    BigErrosForOpenGL = 1,
    [Description("Show OpenGL Medium Errors")]
    MediumErrosForOpenGL = 2,
    [Description("Show OpenGL Small Errors")]
    LowErrosForOpenGL = 4,
    [Description("Show OpenGL Info")]
    InfoForOpenGL = 8,
    [Description("Show Draw Frams")]
    DrawFrames = 16,
    [Description("Show Missing Charters")]
    ShowMissingChar = 32
}